# GET /statistics

Returns the market statistics for the given asset.

`GET https://api.aevo.xyz/statistics`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/statistics \
     --header 'accept: application/json'
```

## Responses

**`200`** — Instrument trade information.

| Field                    | Type   | Required | Description                                                             |
| ------------------------ | ------ | -------- | ----------------------------------------------------------------------- |
| `asset`                  | string | No       | Name of underlying asset. Example: `ETH`                                |
| `open_interest`          | object | No       |                                                                         |
| `daily_volume`           | string | Yes      | 24-hour traded notional volume in USD terms. Example: `1234.56`         |
| `daily_buy_volume`       | string | Yes      | 24-hour buy notional volume in USD terms. Example: `1234.56`            |
| `daily_sell_volume`      | string | Yes      | 24-hour sell notional volume in USD terms. Example: `1234.56`           |
| `daily_volume_premium`   | string | No       | 24-hour traded premium volume in USD terms. Example: `1234.56`          |
| `total_volume`           | string | No       | Total traded notional volume in USD terms. Example: `1234.56`           |
| `total_volume_premium`   | string | No       | Total traded premium volume in USD terms. Example: `1234.56`            |
| `daily_volume_contracts` | string | No       | 24-hour traded volume in contract terms. Example: `1234.5`              |
| `index_price`            | string | No       | Current index price of the asset. Example: `12.23`                      |
| `index_daily_change`     | string | No       | 24-hour change in index price of the underlying asset. Example: `12.52` |
| `mark_price`             | string | No       | Mark price of the instrument. Example: `12.23`                          |
| `mark_price_24h_ago`     | string | No       | Mark price of the instrument from 24-hour ago. Example: `12.52`         |
| `mark_daily_change`      | string | No       | 24-hour change in mark price of the instrument. Example: `12.52`        |
| `funding_daily_avg`      | string | No       | 24-hour average of the funding rate of the instrument. Example: `12.52` |
| `put_call_ratio`         | string | No       | Put call ratio. Example: `0.23`                                         |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getstatistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
